Summary: Windows MetaFile Library
Name: libwmf
Version: 0.2.13
Release: 2%{?dist}
License: LGPLv2+ and GPLv2+ and GPL+
URL: https://github.com/caolanm/libwmf
Source0: https://github.com/caolanm/libwmf/archive/v%{version}.tar.gz


BuildRequires: libXt-devel, libX11-devel, dos2unix, libtool make
BuildRequires: gtk3-devel, libtool, libxml2-devel, libpng-devel libjpeg-devel,

Requires: urw-fonts %{name}-lite = %{version}-%{release} gdk-pixbuf2 >= 2.31.5

Provides: bundled(gd) = 2.0.0

%description
A library for reading and converting Windows MetaFile vector graphics (WMF).

%package lite
Summary: Windows Metafile parser library

%description lite
A library for parsing Windows MetaFile vector graphics (WMF).

%package devel
Summary: Support files necessary to compile applications with libwmf
Requires: libwmf = %{version}-%{release}
Requires: gtk3-devel, libxml2-devel, libjpeg-devel

%description devel
Libraries, headers, and support files necessary to compile applications 
using libwmf.

%prep
%autosetup

%build
autoreconf -fi -Ipatches
%configure --with-libxml2 --disable-static --disable-dependency-tracking --with-gsfontdir=/usr/share/fonts/urw-base35
%make_build

%install
%make_install
find %{buildroot} -name '*.la' -exec rm -f {} ';'

rm -rf %{buildroot}%{_includedir}/libwmf/gd
find doc -name "Makefile*" -exec rm {} \;

rm -rf %{buildroot}%{_datadir}/libwmf/fonts/*afm
rm -rf %{buildroot}%{_datadir}/libwmf/fonts/*t1
sed -i %{buildroot}%{_datadir}/libwmf/fonts/fontmap -e 's#libwmf/fonts#fonts/urw-base35#g'


%files
%{_bindir}/wmf2svg
%{_bindir}/wmf2gd
%{_bindir}/wmf2eps
%{_bindir}/wmf2fig
%{_bindir}/wmf2x
%{_bindir}/libwmf-fontmap
%{_libdir}/libwmf-0.2.so.7*
%{_libdir}/gdk-pixbuf-2.0/*/loaders/*.so
%{_datadir}/libwmf/

%files lite
%license COPYING
%doc AUTHORS README
%{_libdir}/libwmflite-0.2.so.7*

%files devel
%doc doc/*
%{_bindir}/libwmf-config
%{_libdir}/libwmf*.so
%{_libdir}/pkgconfig/libwmf.pc
%{_includedir}/libwmf/


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.13-2
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 23 2023 kianli <kianli@tencent.com> - 0.2.13-1
- Upgrade to 0.2.13

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.12-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.12-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Mar 13 2023 cunshunxia <cunshunxia@tencent.com> - 0.2.12-1
- initial build
